%define		_modname	runkit
%define		_status		beta
Summary:	%{_modname} - mangle with user defined functions and classes
Summary(pl.UTF-8):	%{_modname} - obróbka zdefiniowanych przez użytkownika funkcji i klas
Name:		php-pecl-%{_modname}
Version:	0.9
Release:	6
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	855786f79a3803972b04e44c32cece8d
Patch0:		%{name}-php52.patch
URL:		http://pecl.php.net/package/runkit/
BuildRequires:	php-devel >= 4:5.2
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Replace, rename, and remove user defined functions and classes. Define
customized superglobal variables for general purpose use. Execute code
in restricted environment (sandboxing).

In PECL status of this extension is: %{_status}.

%description -l pl.UTF-8
Zastępowanie, zmiana nazwy lub usuwanie zdefiniowanych przez
użytkownika funkcji i klas. Definiowanie zmiennych superglobalnych do
ogólnego użytku. Wykonywanie danego kodu w ograniczonym środowisku
(sandbox).

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c
mv %{_modname}-%{version}/* .
rmdir %{_modname}-%{version}
%patch0 -p1

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc README
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so
%changelog
* Sat Nov 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-runkit.git;a=log;h=AC-branch

* Thu Feb 09 2012 Elan Ruusamäe <glen@pld-linux.org> e48798f
- release 6

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> d059b05
- release 5

* Tue Jun 02 2009 Elan Ruusamäe <glen@pld-linux.org> c91cade
- release 4

* Sun Oct 12 2008 Elan Ruusamäe <glen@pld-linux.org> d08d0d7
- more php52 fixes; rel 3

* Sun Oct 12 2008 Elan Ruusamäe <glen@pld-linux.org> 0c0fb7f
- more from http://pecl.php.net/bugs/bug.php?id=8849

* Sun Oct 12 2008 Elan Ruusamäe <glen@pld-linux.org> 9a46746
- fix build with php 5.2; rel 2

* Sun Oct 12 2008 Elan Ruusamäe <glen@pld-linux.org> d0f890a
- make it compile with php 5.2
  with info from http://gabriel.e-radical.ro/blog1.php/2008/09/25/runkit

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9d26106
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0051999
- converted to UTF-8

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> efa7235
- use new php extension related macros

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 64ccea9
- BR rpmmacros for fixed %requires_php_extension

* Wed Jun 21 2006 Adam Gołębiowski <adamg@pld-linux.org> c154c64
- updated to 0.9

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> 2ab6462
- rel 5 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> dd20e62
- rel 4

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> 129d2d0
- rebuild with zts and debug requires

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 5e96084
- rel 2

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 6c9c935
- conf.d and php api macros

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 57e64c6
- superfluous BR libtool removed

* Wed Jul 27 2005 Jakub Bogusz <qboosh@pld-linux.org> aff7126
- more standard pl desc

* Tue Jul 26 2005 Adam Gołębiowski <adamg@pld-linux.org> 9d44272
- new

